/*
 *************
 * Copyright *
 *************
 *
 * Copyright (C) 2010 Christoph Zauner
 */

/*
 ***********
 * License *
 ***********
 *
 * This file is part of Rihamark.
 * 
 * Rihamark is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Rihamark is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Rihamark.  If not, see <http://www.gnu.org/licenses/>.
 */

package rmk.SPInterfaces;

import rmk.SPMenu.UserInterface;

/**
 * Uses Swing to present it's results.
 *
 * @author Christoph Zauner
 */
public class AnalyzerSwing extends Analyzer {

protected UserInterface userInterface;

public AnalyzerSwing
(
	String name,
	String bundleName,
	String description
)
{
	super(name, bundleName, description);
}

/**
 * The UI has to call this method when initializing the
 * analyzer plugins. An initializer method is used because
 * the used service loader needs a default constructor
 * in order to be able to load a service provider.
 */
public void initAnalyzerSwing(UserInterface userInterface) {
	this.userInterface = userInterface;
}

} // end of class
