/*
 *************
 * Copyright *
 *************
 *
 * Copyright (C) 2010 Christoph Zauner
 */

/*
 ***********
 * License *
 ***********
 *
 * This file is part of Rihamark.
 * 
 * Rihamark is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Rihamark is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Rihamark.  If not, see <http://www.gnu.org/licenses/>.
 */

package rmk.SPInterfaces;

import rmk.SPArguments.TestItem;
import org.simpleframework.xml.*;
import rmk.core.Debug;
import rmk.core.Debug.LogLevel;

/**
 * Service provider interface (SPI) for attack plugins.
 *
 * @author Christoph Zauner
 */
public abstract class Attack extends TestItem {
	
	@Attribute private String name;
	private String bundleName;
	private String description;

	public Attack
	(
		String name,
		String bundleName,
		String description
	)
	{
		Debug.debugPrint(LogLevel.DEBUG2, "Constructor in Attack (project rmk-core)");

	    this.name = name;
		this.bundleName = bundleName;
		this.description = description;
	}

	public abstract void runAttack(String file);


	/*****************************/
	/* getter and setter methods */
	/*****************************/


	/**
	 * @return the attackName
	 */
	public String getName() {
		return name;
	}

	/**
	 * @return the attackName
	 */
	public String getBundleName() {
		return bundleName;
	}
	
	/**
	 * @return the attackName
	 */
	public String getDescription() {
		return description;
	}
	
} // end of class
