/*
 *************
 * Copyright *
 *************
 *
 * Copyright (C) 2010 Christoph Zauner
 */

/*
 ***********
 * License *
 ***********
 *
 * This file is part of Rihamark.
 * 
 * Rihamark is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Rihamark is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Rihamark.  If not, see <http://www.gnu.org/licenses/>.
 */

package rmk.plugins.analyzers.jFree;

import rmk.core.Debug;

/**
 * This exception is thrown if the analyzer can't 
 * create create the requested statistics out 
 * of the testplan results.
 *
 * @author christoph
 */
public class InaptResultsException extends Throwable {

	String msg;

	public InaptResultsException(String msg) {
		this.msg = msg;

		Debug.debugPrint(Debug.LogLevel.ERR, msg);
	}

	@Override
	public String toString() {
		return msg;
	}

} // end of class
