/*
 *************
 * Copyright *
 *************
 *
 * Copyright (C) 2010 Christoph Zauner
 */

/*
 ***********
 * License *
 ***********
 *
 * This file is part of Rihamark.
 * 
 * Rihamark is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Rihamark is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Rihamark.  If not, see <http://www.gnu.org/licenses/>.
 */

package rmk.plugins.attacks.imageJ;

import java.io.File;
import rmk.core.Debug;
import rmk.SPArguments.CheckBox;
import rmk.SPArguments.ComboBox;
import rmk.SPArguments.SpinnerInt;
import rmk.SPInterfaces.Attack;
import rmk.core.Debug.LogLevel;

import org.simpleframework.xml.*;

public class Flipper extends Attack {

	/* start: mandatory service provider variables */
	private static String name = "Flipper";
	private static String bundleName = "Rihamark Default Attack Plugins (using ImageJ)";
	private static String description = "Flips an image horizontally or vertically";
	/* end: mandatory service provider variables */

	/* start: service provider options */
	@Element private ComboBox axis;
	/* end: service provider options */

	private ImageJ attack;

	public Flipper() {
		super(name, bundleName, description);
		Debug.debugPrint(LogLevel.DEBUG2, "Constructor in " + this.getClass().getCanonicalName());

		if(!deserialization) {
			// argument
			axis = new ComboBox("Horizontally", "Axis", new String[] {"Horizontally", "Vertically"});
			addSPArgument(axis);
		}
	}

	public void runAttack(String file){
	    Debug.debugPrint(LogLevel.DEBUG1,"Running attack: " + getName());

		String cmd = "Flip Horizontally";
		if(axis.getValue().equals("Vertically")) {
			cmd = "Flip Vertically";
		}

		attack = new ImageJ(new File(file), cmd, "");
		attack.run();
	}


	/*****************************/
	/* getter and setter methods */
	/*****************************/


} // end of class
